## concurrentqueue 1.0.3+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project(concurrentqueue VERSION 1.0.0)

include(GNUInstallDirs)

add_library(${PROJECT_NAME} INTERFACE)

target_include_directories(concurrentqueue INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

install(FILES blockingconcurrentqueue.h concurrentqueue.h lightweightsemaphore.h LICENSE.md
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

## concurrentqueue 1.0.2+ds

=== debian/changelog ===
concurrentqueue (1.0.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest
  * Adapt patch to fix build.

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 04 Nov 2020 18:38:28 +0530

concurrentqueue (1.0.2+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 Sep 2020 16:49:09 +0200

concurrentqueue (1.0.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #963992) without benchmarks/boost
    because of extra copyrights and we should have it in Debian
    (found by Thorsten)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit (routine-update)
  * Installing into new subdir concurrentqueue of /usr/include

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Sep 2020 22:32:22 +0200

concurrentqueue (1.0.1+ds-1) UNRELEASED; urgency=medium

  * Initial attempt - rejected.

 -- Steffen Moeller <moeller@debian.org>  Sun, 28 Jun 2020 01:53:16 +0200

=== debian/control ===
Source: concurrentqueue
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/cameron314/concurrentqueue
Vcs-Browser: https://salsa.debian.org/med-team/concurrentqueue
Vcs-Git: https://salsa.debian.org/med-team/concurrentqueue.git
Rules-Requires-Root: no

Package: libconcurrentqueue-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: industrial-strength lock-free queue for C++
 Features
  * Knock-your-socks-off blazing fast performance.
  * Single-header implementation. Just drop it in your project.
  * Fully thread-safe lock-free queue. Use concurrently from any number
    of threads.
  * C++11 implementation -- elements are moved (instead of copied)
    where possible.
  * Templated, obviating the need to deal exclusively with pointers --
    memory is managed for you.
  * No artificial limitations on element types or maximum count.
    Memory can be allocated once up-front, or dynamically as needed.
  * Fully portable (no assembly; all is done through standard C++11
    primitives).
  * Supports super-fast bulk operations.
  * Includes a low-overhead blocking version (BlockingConcurrentQueue).
  * Exception safe.
 .
 Reasons to use
 .
 There are not that many full-fledged lock-free queues for C++. Boost has
 one, but it's limited to objects with trivial assignment operators and
 trivial destructors, for example. Intel's TBB queue isn't lock-free,
 and requires trivial constructors too. There're many academic papers
 that implement lock-free queues in C++, but usable source code is hard
 to find, and tests even more so.
 .
 This queue not only has less limitations than others (for the most part),
 but it's also faster. It's been fairly well-tested, and offers advanced
 features like bulk enqueueing/dequeueing (which, with the new design, is
 much faster than one element at a time, approaching and even surpassing
 the speed of a non-concurrent queue even under heavy contention).

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo | build/bin/unittests
endif

override_dh_auto_clean:
	rm -f build/bin/unittests build/bin/libtbb.a build/bin/fuzztests build/bin/benchmarks fuzztests.log

## concurrentqueue 1.0.3+ds

=== debian/changelog ===
concurrentqueue (1.0.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Refresh patches
  * Add cmake to B-D
  * Fix declarations specific to windows
  * Remove install and dirs file, cmake will handle it by default
  * Fix copyright
  * Update upstream/metadata
  * Do not install LICENSE.md
  * Propagate Hardening options (fixes blhc)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:07:15 +0530

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), cmake
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/cameron314/concurrentqueue
 Vcs-Browser: https://salsa.debian.org/med-team/concurrentqueue

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo | build/bin/unittests
endif

execute_after_dh_install:
	find debian/ -name LICENSE.md -delete

override_dh_auto_clean:
	rm -f build/bin/unittests build/bin/libtbb.a build/bin/fuzztests build/bin/benchmarks fuzztests.log

## concurrentqueue 1.0.4%2Bds

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/cameron314/concurrentqueue
 Vcs-Browser: https://salsa.debian.org/med-team/concurrentqueue
@@ -12,7 +12,7 @@
 
 Package: libconcurrentqueue-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
 Description: industrial-strength lock-free queue for C++
  Features

## concurrentqueue 1.0.4+ds

=== debian/changelog ===
concurrentqueue (1.0.4+ds-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Exclude BLHC test

  [ Étienne Mollier ]
  * d/clean: new: cleanup various build artifacts. (Closes: #1043870)
  * d/control: declare compliance to standards version 4.7.0.
  * fix-defs.patch: declare forwarding unneeded.
  * dontBuildBenchmark.patch: normalize last-update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Thu, 19 Dec 2024 21:12:30 +0100

concurrentqueue (1.0.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Architecture: any (due to some architecture dependant cmake files

 -- Andreas Tille <tille@debian.org>  Wed, 12 Jul 2023 14:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/cameron314/concurrentqueue
 Vcs-Browser: https://salsa.debian.org/med-team/concurrentqueue

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,14 @@
 execute_after_dh_install:
 	find debian/ -name LICENSE.md -delete
 
+execute_after_dh_installexamples:
+	sed -i \
+	    -e 's#\.\./\(.*concurrentqueue.h\)#concurrentqueue/moodycamel/\1#' \
+	    debian/*/usr/share/doc/`dh_listpackages`/examples/c_api/*.cpp
+	sed -i \
+	    -e 's#\.\./\.\./c_api#../c_api#' \
+	    -e 's#\.\./\.\./\(.*concurrentqueue.h\)#concurrentqueue/moodycamel/\1#' \
+	    debian/*/usr/share/doc/`dh_listpackages`/examples/unittests/*.cpp
+
 override_dh_auto_clean:
 	rm -f build/bin/unittests build/bin/libtbb.a build/bin/fuzztests build/bin/benchmarks fuzztests.log

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%concurrentqueue-$1.tar.gz%" \
   https://github.com/cameron314/concurrentqueue/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
